Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203562 - [abrt] gnome-shell: clutter_x11_get_stage_window(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: clutter_x11_get_stage_window(): gnome-shell killed by SIG...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: clutter
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:09b7b8b4b470de958d40301419f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 06:44 UTC by iliketurtlesbro
Modified: 2015-06-30 16:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 16:27:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.38 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (20.32 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: dso_list (24.60 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: environ (811 bytes, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: maps (116.35 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: open_fds (4.50 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (994 bytes, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details
File: var_log_messages (4.38 KB, text/plain)
2015-03-19 06:44 UTC, iliketurtlesbro
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 746575 0 None None None Never

Description iliketurtlesbro 2015-03-19 06:44:08 UTC
Version-Release number of selected component:
gnome-shell-3.15.91-1.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: clutter_x11_get_stage_window
executable:     /usr/bin/gnome-shell
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 clutter_x11_get_stage_window at x11/clutter-stage-x11.c:1276
 #5 _cally_actor_get_top_level_origin at cally/cally-actor.c:772
 #6 cally_actor_get_extents at cally/cally-actor.c:695
 #7 atk_component_get_extents at atkcomponent.c:298
 #8 impl_GetExtents at component-adaptor.c:107
 #9 handle_other at droute.c:553
 #10 handle_message at droute.c:600
 #11 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:1018
 #13 message_queue_dispatch at atspi-gmain.c:89
 #18 meta_run at core/main.c:437

Comment 1 iliketurtlesbro 2015-03-19 06:44:11 UTC
Created attachment 1003675 [details]
File: backtrace

Comment 2 iliketurtlesbro 2015-03-19 06:44:11 UTC
Created attachment 1003676 [details]
File: cgroup

Comment 3 iliketurtlesbro 2015-03-19 06:44:12 UTC
Created attachment 1003677 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2015-03-19 06:44:13 UTC
Created attachment 1003678 [details]
File: dso_list

Comment 5 iliketurtlesbro 2015-03-19 06:44:13 UTC
Created attachment 1003679 [details]
File: environ

Comment 6 iliketurtlesbro 2015-03-19 06:44:14 UTC
Created attachment 1003680 [details]
File: limits

Comment 7 iliketurtlesbro 2015-03-19 06:44:15 UTC
Created attachment 1003681 [details]
File: maps

Comment 8 iliketurtlesbro 2015-03-19 06:44:16 UTC
Created attachment 1003682 [details]
File: open_fds

Comment 9 iliketurtlesbro 2015-03-19 06:44:17 UTC
Created attachment 1003683 [details]
File: proc_pid_status

Comment 10 iliketurtlesbro 2015-03-19 06:44:18 UTC
Created attachment 1003684 [details]
File: var_log_messages

Comment 11 Florian Müllner 2015-03-21 15:54:47 UTC
This is a clutter bug - its accessibility layer assumes that the X11 backend is used, which is not the case when running as wayland compositor.

Comment 12 Kalev Lember 2015-06-30 16:27:34 UTC
This was fixed in the 1.22.0 release that's already in F22.


Note You need to log in before you can comment on or make changes to this bug.